from typing import Optional

from pydantic import BaseModel


class PositionResponseBase(BaseModel):
    result: str
    userId: Optional[str]


class PositionSpaceResponse(PositionResponseBase):
    spaceId: Optional[str]
    projectId: Optional[str]
