# -*- coding: utf-8 -*-

from typing import Dict

from pydantic import BaseModel


class TargetReadjustResponse(BaseModel):
    result: str = 'success'
    projectId: str
    roomId: str
    flag: int
    time: str


class RegulatedTargetResponse(BaseModel):
    projectId: str
    spaceId: str
    isTemporary: bool
    temperature: Dict
