# -*- coding: utf-8 -*-

from typing import Optional

from pydantic import BaseModel


class IBeaconBase(BaseModel):
    minor: Optional[int] = None
    major: Optional[int] = None
    rssi: Optional[float] = None
    proximity: Optional[int] = None
    accuracy: Optional[float] = None
    uuid: Optional[str] = None
