from typing import Dict, List

from pydantic import BaseModel


class GraphColoringResponse(BaseModel):
    is_solvable: bool
    colored: Dict[str, int]


class GraphColoringRequest(BaseModel):
    graph: Dict[str, List]
