# -*- coding: utf-8 -*-

from sqlalchemy import Column, Integer, String

from app.db.session import Base


class EarlyStartDTRModelPath(Base):
    __tablename__ = 'early_start_DTR_models'

    id = Column(Integer, primary_key=True, index=True)
    project_id = Column(String, nullable=False)
    device_id = Column(String, unique=True, nullable=False)
    model_path = Column(String)
