# -*- coding: utf-8 -*-

from sqlalchemy import Column, Float, Integer, String

from app.db.session import Base


class VAVRoomWeight(Base):
    __tablename__ = 'vav_room_weights'

    id = Column(Integer, primary_key=True, index=True)
    default_weight = Column(Float)
    project_id = Column(String, index=True, nullable=False)
    space_id = Column(String, index=True, nullable=False)
    vav_box_id = Column(String, index=True, nullable=False)
    temporary_weight = Column(Float, default=0.0)
    temporary_weight_update_time = Column(String, default='20201111110400')
